/ / Wie installiere ich Polymerkernelemente - Polymer, Laube

Wie man Polymerkernelemente - Polymer, Laube installiert

Da ich für Front-End-Entwickler neu bin, habe ich ein Problem zu verstehen, was ich bei der Installation von Polymer wählen sollte. Ich habe Polymer unter Verwendung der Laube gemäß Anweisung installiert

bower install --save Polymer/polymer#^1.0.0

Beim Versuch, Core-Elemente zu installieren,

bower install --save Polymer/core-elements

Ich wurde mit Entscheidungen konfrontiert und ich verstehe nicht, was ich wählen soll.

Unable to find a suitable version for webcomponentsjs, please choose one:
1) webcomponentsjs#^0.6.0 which resolved to 0.6.3 and is required by polymer#0.5.6
2) webcomponentsjs#^0.7.2 which resolved to 0.7.12 and is required by polymer#1.1.2
3) webcomponentsjs#* which resolved to 0.7.12 and is required by core-component-page#0.5.6

Würde einige Richtungen schätzen.

Antworten:

0 für die Antwort № 1

Core-Elemente sind veraltet. Die meisten von ihnen sind jetzt Eisenelemente, während einige zu Papierelementen bewegt werden.

bower install PolymerElements/iron-elements

bower install PolymerElements/paper-elements


0 für die Antwort № 2

In der Regel nur sicher sein, dass Sie verwenden 1.x kompatible Komponenten, da dies keine Kompatibilitätsprobleme verursacht.


Verwandte Fragen


Kommentare (0)

Einen Kommentar hinzufügen